package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ParkingInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ParkingInfoDAO {
	int insert(ParkingInfo entity);
	int update(ParkingInfo entity);
	int exist(String id);
	ParkingInfo get(String id);
	int delete(String id);
	List<ParkingInfo> list();
	List<ParkingInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<ParkingInfo> findByCompanyIdNotParentId(String companyId);

    List<ParkingInfo> findByParentId(String parentId);

	List<ParkingInfo> findHasPicUrl(String companyId);

    ParkingInfo findByParkId(Long parkId);
}